## com.imcode.imcms.servlet.admin
Class ImageEditPage

    java.lang.Object
      com.imcode.imcms.flow.Page
          com.imcode.imcms.flow.OkCancelPage
              com.imcode.imcms.servlet.admin.ImageEditPage

All Implemented Interfaces:
  HttpSessionAttribute, java.io.Serializable

    public class ImageEditPage

extends OkCancelPage

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `REQUEST_PARAMETER__CANCEL_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__DELETE_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__DOCUMENT_ID`
`static java.lang.String` `REQUEST_PARAMETER__GO_TO_IMAGE_BROWSER_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__HORIZONTAL_SPACE`
`static java.lang.String` `REQUEST_PARAMETER__I18N_CODE`
`static java.lang.String` `REQUEST_PARAMETER__IMAGE_ALIGN`
`static java.lang.String` `REQUEST_PARAMETER__IMAGE_ALT`
`static java.lang.String` `REQUEST_PARAMETER__IMAGE_BORDER`
`static java.lang.String` `REQUEST_PARAMETER__IMAGE_HEIGHT`
`static java.lang.String` `REQUEST_PARAMETER__IMAGE_LOWSRC`
`static java.lang.String` `REQUEST_PARAMETER__IMAGE_NAME`
`static java.lang.String` `REQUEST_PARAMETER__IMAGE_URL`
`static java.lang.String` `REQUEST_PARAMETER__IMAGE_WIDTH`
`static java.lang.String` `REQUEST_PARAMETER__LINK_TARGET`
`static java.lang.String` `REQUEST_PARAMETER__LINK_URL`
`static java.lang.String` `REQUEST_PARAMETER__OK_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__PREVIEW_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__SHARE_IMAGE`
`static java.lang.String` `REQUEST_PARAMETER__VERTICAL_SPACE`

Fields inherited from class com.imcode.imcms.flow.OkCancelPage
`cancelCommand, okCommand, REQUEST_PARAMETER__CANCEL, REQUEST_PARAMETER__OK`

Fields inherited from class com.imcode.imcms.flow.Page
`IN_REQUEST`

Constructor Summary
`ImageEditPage(TextDocumentDomainObject document, ImageDomainObject image, LocalizedMessage heading, java.lang.String label, javax.servlet.ServletContext servletContext, Handler<java.util.List<ImageDomainObject>> imageCommand, DispatchCommand returnCommand, boolean linkable)`

Method Summary
`boolean` `canAddImageFiles(UserDomainObject user)`
`protected void` `dispatchOk(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` `dispatchOther(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`static ImageEditPage` `getFromRequest(javax.servlet.http.HttpServletRequest request)`
`LocalizedMessage` `getHeading()`
`ImageDomainObject` `getImage()`
`java.util.List<ImageDomainObject>` `getImages()`
`boolean` `getImagesSharesSameSource()` Returns if all images shares same image source.
`java.lang.String` `getLabel()`
`java.lang.String` `getPath(javax.servlet.http.HttpServletRequest request)`
`boolean` `isLinkable()`
`boolean` `isShareImages()`
`void` `setImages(java.util.List<ImageDomainObject> images)` Sets images and resets shareImages flag.
`void` `setShareImages(boolean shareImages)`
`protected void` `updateFromRequest(javax.servlet.http.HttpServletRequest request)`

Methods inherited from class com.imcode.imcms.flow.OkCancelPage
`dispatch, dispatchCancel, dispatchNotCanceled, wasCanceled, wasOk`

Methods inherited from class com.imcode.imcms.flow.Page
`forward, fromRequest, getSessionAttributeName, htmlHidden, removeFromSession, setSessionAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER__GO_TO_IMAGE_BROWSER_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__GO_TO_IMAGE_BROWSER_BUTTON

See Also:
  Constant Field Values

### REQUEST_PARAMETER__PREVIEW_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__PREVIEW_BUTTON

See Also:
  Constant Field Values

### REQUEST_PARAMETER__CANCEL_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__CANCEL_BUTTON

See Also:
  Constant Field Values

### REQUEST_PARAMETER__DELETE_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__DELETE_BUTTON

See Also:
  Constant Field Values

### REQUEST_PARAMETER__DOCUMENT_ID

    public static final java.lang.String REQUEST_PARAMETER__DOCUMENT_ID

See Also:
  Constant Field Values

### REQUEST_PARAMETER__IMAGE_URL

    public static final java.lang.String REQUEST_PARAMETER__IMAGE_URL

See Also:
  Constant Field Values

### REQUEST_PARAMETER__OK_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__OK_BUTTON

See Also:
  Constant Field Values

### REQUEST_PARAMETER__IMAGE_HEIGHT

    public static final java.lang.String REQUEST_PARAMETER__IMAGE_HEIGHT

See Also:
  Constant Field Values

### REQUEST_PARAMETER__IMAGE_WIDTH

    public static final java.lang.String REQUEST_PARAMETER__IMAGE_WIDTH

See Also:
  Constant Field Values

### REQUEST_PARAMETER__IMAGE_BORDER

    public static final java.lang.String REQUEST_PARAMETER__IMAGE_BORDER

See Also:
  Constant Field Values

### REQUEST_PARAMETER__VERTICAL_SPACE

    public static final java.lang.String REQUEST_PARAMETER__VERTICAL_SPACE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__HORIZONTAL_SPACE

    public static final java.lang.String REQUEST_PARAMETER__HORIZONTAL_SPACE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__IMAGE_NAME

    public static final java.lang.String REQUEST_PARAMETER__IMAGE_NAME

See Also:
  Constant Field Values

### REQUEST_PARAMETER__IMAGE_ALIGN

    public static final java.lang.String REQUEST_PARAMETER__IMAGE_ALIGN

See Also:
  Constant Field Values

### REQUEST_PARAMETER__IMAGE_ALT

    public static final java.lang.String REQUEST_PARAMETER__IMAGE_ALT

See Also:
  Constant Field Values

### REQUEST_PARAMETER__IMAGE_LOWSRC

    public static final java.lang.String REQUEST_PARAMETER__IMAGE_LOWSRC

See Also:
  Constant Field Values

### REQUEST_PARAMETER__LINK_URL

    public static final java.lang.String REQUEST_PARAMETER__LINK_URL

See Also:
  Constant Field Values

### REQUEST_PARAMETER__LINK_TARGET

    public static final java.lang.String REQUEST_PARAMETER__LINK_TARGET

See Also:
  Constant Field Values

### REQUEST_PARAMETER__I18N_CODE

    public static final java.lang.String REQUEST_PARAMETER__I18N_CODE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__SHARE_IMAGE

    public static final java.lang.String REQUEST_PARAMETER__SHARE_IMAGE

See Also:
  Constant Field Values

Constructor Detail

### ImageEditPage

    public ImageEditPage(TextDocumentDomainObject document,
                         ImageDomainObject image,
                         LocalizedMessage heading,
                         java.lang.String label,
                         javax.servlet.ServletContext servletContext,
                         Handler<java.util.List<ImageDomainObject>> imageCommand,
                         DispatchCommand returnCommand,
                         boolean linkable)

Method Detail

### getImage

    public ImageDomainObject getImage()

### getPath

    public java.lang.String getPath(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `getPath` in class `Page`

### updateFromRequest

    protected void updateFromRequest(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `updateFromRequest` in class `OkCancelPage`

### getLabel

    public java.lang.String getLabel()

### dispatchOther

    protected void dispatchOther(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws java.io.IOException,
                                 javax.servlet.ServletException

  Overrides:
    `dispatchOther` in class `OkCancelPage`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### getFromRequest

    public static ImageEditPage getFromRequest(javax.servlet.http.HttpServletRequest request)

### getHeading

    public LocalizedMessage getHeading()

### canAddImageFiles

    public boolean canAddImageFiles(UserDomainObject user)

### isLinkable

    public boolean isLinkable()

### dispatchOk

    protected void dispatchOk(javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response)
                       throws java.io.IOException,
                              javax.servlet.ServletException

  Overrides:
    `dispatchOk` in class `OkCancelPage`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### getImages

    public java.util.List<ImageDomainObject> getImages()

### setImages

    public void setImages(java.util.List<ImageDomainObject> images)

  Sets images and resets shareImages flag.

### getImagesSharesSameSource

    public boolean getImagesSharesSameSource()

  Returns if all images shares same image source.

### isShareImages

    public boolean isShareImages()

### setShareImages

    public void setShareImages(boolean shareImages)